Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.assertion
Class ObjectFactory

    java.lang.Object
      oasis.names.tc.saml._1_0.assertion.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._1_0.assertion package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.assertion

Method Summary
`Action` | `createAction()` Create an instance of `Action`
`Advice` | `createAdvice()` Create an instance of `Advice`
`Assertion` | `createAssertion()` Create an instance of `Assertion`
`JAXBElement<String>` | `createAssertionIDReference(String value)` Create an instance of `JAXBElement``<``String``>`
`Attribute` | `createAttribute()` Create an instance of `Attribute`
`JAXBElement<AttributeDesignatorType>` | `createAttributeDesignator(AttributeDesignatorType value)` Create an instance of `JAXBElement``<``AttributeDesignatorType``>`
`AttributeDesignatorType` | `createAttributeDesignatorType()` Create an instance of `AttributeDesignatorType`
`AttributeStatement` | `createAttributeStatement()` Create an instance of `AttributeStatement`
`JAXBElement<Object>` | `createAttributeValue(Object value)` Create an instance of `JAXBElement``<``Object``>`
`JAXBElement<String>` | `createAudience(String value)` Create an instance of `JAXBElement``<``String``>`
`AudienceRestrictionCondition` | `createAudienceRestrictionCondition()` Create an instance of `AudienceRestrictionCondition`
`AuthenticationStatement` | `createAuthenticationStatement()` Create an instance of `AuthenticationStatement`
`AuthorityBinding` | `createAuthorityBinding()` Create an instance of `AuthorityBinding`
`AuthorizationDecisionStatement` | `createAuthorizationDecisionStatement()` Create an instance of `AuthorizationDecisionStatement`
`JAXBElement<ConditionAbstractType>` | `createCondition(ConditionAbstractType value)` Create an instance of `JAXBElement``<``ConditionAbstractType``>`
`Conditions` | `createConditions()` Create an instance of `Conditions`
`JAXBElement<String>` | `createConfirmationMethod(String value)` Create an instance of `JAXBElement``<``String``>`
`DoNotCacheCondition` | `createDoNotCacheCondition()` Create an instance of `DoNotCacheCondition`
`Evidence` | `createEvidence()` Create an instance of `Evidence`
`JAXBElement<NameIdentifierType>` | `createNameIdentifier(NameIdentifierType value)` Create an instance of `JAXBElement``<``NameIdentifierType``>`
`NameIdentifierType` | `createNameIdentifierType()` Create an instance of `NameIdentifierType`
`JAXBElement<StatementAbstractType>` | `createStatement(StatementAbstractType value)` Create an instance of `JAXBElement``<``StatementAbstractType``>`
`Subject` | `createSubject()` Create an instance of `Subject`
`SubjectConfirmation` | `createSubjectConfirmation()` Create an instance of `SubjectConfirmation`
`JAXBElement<Object>` | `createSubjectConfirmationData(Object value)` Create an instance of `JAXBElement``<``Object``>`
`SubjectLocality` | `createSubjectLocality()` Create an instance of `SubjectLocality`
`JAXBElement<SubjectStatementAbstractType>` | `createSubjectStatement(SubjectStatementAbstractType value)` Create an instance of `JAXBElement``<``SubjectStatementAbstractType``>`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.assertion

Method Detail

### createNameIdentifierType

    public NameIdentifierType createNameIdentifierType()

  Create an instance of `NameIdentifierType`

### createAssertion

    public Assertion createAssertion()

  Create an instance of `Assertion`

### createConditions

    public Conditions createConditions()

  Create an instance of `Conditions`

### createAudienceRestrictionCondition

    public AudienceRestrictionCondition createAudienceRestrictionCondition()

  Create an instance of `AudienceRestrictionCondition`

### createDoNotCacheCondition

    public DoNotCacheCondition createDoNotCacheCondition()

  Create an instance of `DoNotCacheCondition`

### createAdvice

    public Advice createAdvice()

  Create an instance of `Advice`

### createAuthenticationStatement

    public AuthenticationStatement createAuthenticationStatement()

  Create an instance of `AuthenticationStatement`

### createSubject

    public Subject createSubject()

  Create an instance of `Subject`

### createSubjectConfirmation

    public SubjectConfirmation createSubjectConfirmation()

  Create an instance of `SubjectConfirmation`

### createSubjectLocality

    public SubjectLocality createSubjectLocality()

  Create an instance of `SubjectLocality`

### createAuthorityBinding

    public AuthorityBinding createAuthorityBinding()

  Create an instance of `AuthorityBinding`

### createAuthorizationDecisionStatement

    public AuthorizationDecisionStatement createAuthorizationDecisionStatement()

  Create an instance of `AuthorizationDecisionStatement`

### createAction

    public Action createAction()

  Create an instance of `Action`

### createEvidence

    public Evidence createEvidence()

  Create an instance of `Evidence`

### createAttributeStatement

    public AttributeStatement createAttributeStatement()

  Create an instance of `AttributeStatement`

### createAttribute

    public Attribute createAttribute()

  Create an instance of `Attribute`

### createAttributeDesignatorType

    public AttributeDesignatorType createAttributeDesignatorType()

  Create an instance of `AttributeDesignatorType`

### createAssertionIDReference

    public JAXBElement<String> createAssertionIDReference(String value)

  Create an instance of `JAXBElement``<``String``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``String``>`

### createAudience

    public JAXBElement<String> createAudience(String value)

  Create an instance of `JAXBElement``<``String``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``String``>`

### createCondition

    public JAXBElement<ConditionAbstractType> createCondition(ConditionAbstractType value)

  Create an instance of `JAXBElement``<``ConditionAbstractType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``ConditionAbstractType``>`

### createStatement

    public JAXBElement<StatementAbstractType> createStatement(StatementAbstractType value)

  Create an instance of `JAXBElement``<``StatementAbstractType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``StatementAbstractType``>`

### createSubjectStatement

    public JAXBElement<SubjectStatementAbstractType> createSubjectStatement(SubjectStatementAbstractType value)

  Create an instance of `JAXBElement``<``SubjectStatementAbstractType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``SubjectStatementAbstractType``>`

### createNameIdentifier

    public JAXBElement<NameIdentifierType> createNameIdentifier(NameIdentifierType value)

  Create an instance of `JAXBElement``<``NameIdentifierType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``NameIdentifierType``>`

### createConfirmationMethod

    public JAXBElement<String> createConfirmationMethod(String value)

  Create an instance of `JAXBElement``<``String``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``String``>`

### createSubjectConfirmationData

    public JAXBElement<Object> createSubjectConfirmationData(Object value)

  Create an instance of `JAXBElement``<``Object``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``Object``>`

### createAttributeValue

    public JAXBElement<Object> createAttributeValue(Object value)

  Create an instance of `JAXBElement``<``Object``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``Object``>`

### createAttributeDesignator

    public JAXBElement<AttributeDesignatorType> createAttributeDesignator(AttributeDesignatorType value)

  Create an instance of `JAXBElement``<``AttributeDesignatorType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``AttributeDesignatorType``>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.